SliderModel

23 Sep 202512 minutes to read

Interface for a class Slider

Properties

change EmitType<SliderChangeEventArgs>

We can trigger change event whenever Slider value is changed.
In other term, this event will be triggered while drag the slider thumb.

  <div id="default"></div>
  <p>Change Event: </p>
  <div id = "change"></div>
import { Slider } from "@syncfusion/ej2-inputs";
  
  let defaultObj: Slider = new Slider({
    value: 30,
  change: function(args: SliderChangeEventArgs) {
    document.getElementById("change").innerHTML = JSON.stringify(args);
    }
  });
  defaultObj.appendTo("#default");

changed EmitType<SliderChangeEventArgs>

Fires whenever the Slider value is changed.
In other term, this event will be triggered, while drag the slider thumb completed.

created EmitType<Object>

Triggers when the Slider is successfully created.

renderedTicks EmitType<SliderTickRenderedEventArgs>

Triggers when the ticks are rendered on the Slider.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
        min: 0, max: 100,
        value: 30,
        type: "MinRange",
        ticks: { placement: "Both", largeStep: 20, smallStep: 5 },
        // Handler used to customize tick element
        renderedTicks: (args: SliderTickRenderedEventArgs) => {
            let li: any = args.ticksWrapper.getElementsByClassName("e-large");
            let remarks: any = ["Very Poor", "Poor", "Average", "Good", "Very Good", "Excellent"];
            for (let i: number = 0; i < li.length; ++i) {
                (li[i].querySelectorAll(".e-tick-both")[1] as HTMLElement).innerText = remarks[i];
            }
        }
    });
    defaultObj.appendTo("#default");

renderingTicks EmitType<SliderTickEventArgs>

Triggers on rendering the ticks element in the Slider,
which is used to customize the ticks labels dynamically.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
      min: new Date("2013-06-13").getTime(),
      value: new Date("2013-06-15").getTime(),
      max: new Date("2013-06-21").getTime(),
      // 86400000 milliseconds for a day
      step: 86400000,
      renderingTicks: function (args: SliderTickEventArgs) {
          let totalMiliSeconds = Number(args.value);
          // Convert the current milliseconds to the respective date in desired format
          let custom = { year: "numeric", month: "short", day: "numeric" };
          args.text = new Date(totalMiliSeconds).toLocaleDateString("en-us", custom);
      },
      ticks: {
          placement: "After",
          // 2 * 86400000 milliseconds for two days
          largeStep: 2 * 86400000
      },
      showButtons: true
      });
      defaultObj.appendTo("#default");

tooltipChange EmitType<SliderTooltipEventArgs>

Triggers when the Sider tooltip value is changed.

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";

    let defaultObj: Slider = new Slider({
    min: new Date("2013-06-13").getTime(),
    value: new Date("2013-06-15").getTime(),
    max: new Date("2013-06-21").getTime(),
    // 86400000 milliseconds for a day
    step: 86400000,
    tooltipChange: function (args: SliderTooltipEventArgs) {
        let totalMiliSeconds = Number(args.text);
        // Convert the current milliseconds to the respective date in desired format
        let custom = { year: "numeric", month: "short", day: "numeric" };
        args.text = new Date(totalMiliSeconds).toLocaleDateString("en-us", custom);
    },
    tooltip: {
        placement: "Before",
        isVisible: true
    },
    showButtons: true
    });
    defaultObj.appendTo("#default");

colorRange ColorRangeDataModel[]

Specifies the color to the slider based on given value.

cssClass string

Specifies the custom classes to be added to the element used to customize the slider.

  <div id="default"></div>
  <style>
  .slider {
      border: 1px solid;
  }
  </style>
  import { Slider } from "@syncfusion/ej2-inputs";
  let defaultObj: Slider = new Slider({
    value: 30,
    cssClass:"slider"
  });
  defaultObj.appendTo("#default");

customValues string[]|number[]

Specifies an array of slider values in number or string type.
The min and max step values are not considered.

enableAnimation boolean

Enable or Disable the animation for slider movement.

enableHtmlSanitizer boolean

Specifies whether to display or remove the untrusted HTML values in the Slider component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

enabled boolean

Enable or Disable the slider.

limits LimitDataModel

Specified the limit within which the slider to be moved.
Refer the documentation here
to know more about this property.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max number

Gets/Sets the maximum value of the slider.

min number

Gets/Sets the minimum value of the slider.

orientation SliderOrientation

Specifies whether to render the slider in vertical or horizontal orientation.
Refer the documentation here
to know more about this property.

readonly boolean

Specifies whether the render the slider in read-only mode to restrict any user interaction.
The slider rendered with user defined values and can’t be interacted with user actions.

showButtons boolean

Specifies whether to show or hide the increase/decrease buttons
of Slider to change the slider value.
Refer the documentation here
to know more about this property.

step number

Specifies the step value for each value change when the increase / decrease
button is clicked or on arrow keys press or on dragging the thumb.
Refer the documentation here
to know more about this property.

ticks TicksDataModel

It is used to render the slider ticks options such as placement and step values.
Refer the documentation here
to know more about this property with demo.

  <div id="default"></div>
  import { Slider } from "@syncfusion/ej2-inputs";
  let defaultObj: Slider = new Slider({
        // Set the value for slider
      value: 30,
      ticks: { placement: "After", largeStep: 20}
    });
  defaultObj.appendTo("#default");

tooltip TooltipDataModel

Specifies the visibility, position of the tooltip over the slider element.

type SliderType

Defines the type of the Slider. The available options are:

  • default - Allows to a single value in the Slider.
  • minRange - Allows to select a single value in the Slider. It display’s a shadow from the start to the current value.
  • range - Allows to select a range of values in the Slider. It displays shadow in-between the selection range.
    <div class="content-wrapper">
        <div class="sliderwrap">
            <label class="labeltext userselect">Default Slider</label>
            <div id="default"></div>
        </div>
        <div class="sliderwrap">
            <label class="labeltext userselect">MinRange Slider</label>
            <div id="minrange"></div>
        </div>
        <div class="sliderwrap">
            <label class="labeltext userselect">Range Slider</label>
            <div id="range"></div>
        </div>
    </div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
        // Set the value for slider
        value: 30
    });
    defaultObj.appendTo("#default");
    // Initialize Slider component
    let minRangeObj: Slider = new Slider({
        // Set the value for slider
        value: 30,
        // Set the type to render MinRange slider
        type: "MinRange"
    });
    minRangeObj.appendTo("#minrange");
    // Initialize Slider component
    let rangeObj: Slider = new Slider({
        // Set the initial range values for slider
        value: [30, 70],
        // Set the type to render range slider
        type: "Range"
    });
    rangeObj.appendTo("#range");

value number|number[]

It is used to denote the current value of the Slider.
The value should be specified in array of number when render Slider type as range.

width number|string

Specifies the width of the Slider.

SliderModel

23 Sep 202512 minutes to read

Interface for a class Slider

Properties

change EmitType<SliderChangeEventArgs>

We can trigger change event whenever Slider value is changed.
In other term, this event will be triggered while drag the slider thumb.

import * as React from "react";
import { SliderComponent, SliderChangeEventArgs } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
  private defaultObj: SliderComponent = null as any;
  private sliderTrack: HTMLElement = null as any;
  private sliderHandle: HTMLElement = null as any;
  private changeEvent(args: SliderChangeEventArgs): void {
      if (args.value > 0 && args.value <= 25) {
      // Change handle and range bar color to green when
          this.sliderHandle.style.backgroundColor = "green";
          this.sliderTrack.style.backgroundColor = "green";
      } else if (args.value > 25 && args.value <= 50) {
      // Change handle and range bar color to royal blue
          this.sliderHandle.style.backgroundColor = "royalblue";
          this.sliderTrack.style.backgroundColor = "royalblue";
      } else if (args.value > 50 && args.value <= 75) {
      // Change handle and range bar color to dark orange
          this.sliderHandle.style.backgroundColor = "darkorange";
          this.sliderTrack.style.backgroundColor = "darkorange";
      } else if (args.value > 75 && args.value <= 100) {
      // Change handle and range bar color to red
          this.sliderHandle.style.backgroundColor = "red";
          this.sliderTrack.style.backgroundColor = "red";
    }
  }
  
  private created(): void {
      this.sliderTrack = this.defaultObj.element.querySelector(".e-range") as any;
      this.sliderHandle = this.defaultObj.element.querySelector(".e-handle") as any;
      this.sliderHandle.style.backgroundColor = "green";
      this.sliderTrack.style.backgroundColor = "green";
  }
  render() {
    return (
      <div id="container">
        <div className="wrap">
        <SliderComponent
                id="dynamic_color_slider"
                ref={slider => {
                  this.defaultObj = slider as any;
                }}
                type="MinRange"
                min={0}
                max={100}
                value={30}
                change={this.changeEvent.bind(this) as any}
                created={this.created.bind(this)}
              />
        </div>
      </div>
    );
  }
}

changed EmitType<SliderChangeEventArgs>

Fires whenever the Slider value is changed.
In other term, this event will be triggered, while drag the slider thumb completed.

created EmitType<Object>

Triggers when the Slider is successfully created.

renderedTicks EmitType<SliderTickRenderedEventArgs>

Triggers when the ticks are rendered on the Slider.

import * as React from "react";
import { SliderComponent, TooltipDataModel,SliderTickRenderedEventArgs,TicksDataModel } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
 
  private custom: TicksDataModel = { placement: "Both", largeStep: 20, smallStep: 5 };
  private value: number[] = [30, 70];
  private customTicks(args: SliderTickRenderedEventArgs): void {
      let li: any = args.ticksWrapper.getElementsByClassName("e-large");
      let remarks: any = ["Very Poor", "Poor", "Average", "Good", "Very Good", "Excellent"];
      for (let i: number = 0; i < li.length; ++i) {
          (li[i].querySelectorAll(".e-tick-both")[1] as HTMLElement).innerText = remarks[i];
    }
  }
  render() {
    return (
      <div id="container">
        <div className="wrap">
        <SliderComponent
                id="slider"
                type="MinRange"
                min={0}
                max={100}
                value={this.value}
                ticks={this.custom}
                renderedTicks={this.customTicks.bind(this) as any}
              />
        </div>
      </div>
    );
  }
}

renderingTicks EmitType<SliderTickEventArgs>

Triggers on rendering the ticks element in the Slider,
which is used to customize the ticks labels dynamically.

import * as React from "react";
import { SliderComponent, TooltipDataModel, SliderTickEventArgs,TicksDataModel } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
  public min = new Date("2013-06-13").getTime();
  public max = new Date("2013-06-21").getTime();
  public step = 86400000;
  public value = new Date("2013-06-15").getTime();
  public ticks: TicksDataModel = { placement: "After", largeStep: 2 * 86400000 };
  renderingTicksHandler(args: SliderTickEventArgs) {
    let totalMiliSeconds = Number(args.value);
    let custom = { year: "numeric", month: "short", day: "numeric" };
    args.text = new Date(totalMiliSeconds).toLocaleDateString("en-us", custom);
  }
  render() {
    return (
      <div id="container">
        <div className="wrap">
          <SliderComponent
            id="slider"
            min={this.min}
            max={this.max}
            value={this.value}
            step={this.step}
            ticks={this.ticks}
            showButtons={true}
            renderingTicks={this.renderingTicksHandler.bind(this) as any}
          />
        </div>
      </div>
    );
  }
}

tooltipChange EmitType<SliderTooltipEventArgs>

Triggers when the Sider tooltip value is changed.

import * as React from "react";
import { SliderComponent, TooltipDataModel,SliderTooltipEventArgs,TicksDataModel } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
  public min = new Date("2013-06-13").getTime();
  public max = new Date("2013-06-21").getTime();
  public step = 86400000;
  public value = new Date("2013-06-15").getTime();
  public tooltip: TooltipDataModel = { placement: "Before", isVisible: true };
  tooltipChangeHandler(args: SliderTooltipEventArgs) {
    let totalMiliSeconds = Number(args.text);
    let custom = { year: "numeric", month: "short", day: "numeric" };
    args.text = new Date(totalMiliSeconds).toLocaleDateString("en-us", custom);
  }
  render() {
    return (
      <div id="container">
        <div className="wrap">
          <SliderComponent
            id="slider"
            min={this.min}
            max={this.max}
            value={this.value}
            step={this.step}
            tooltip={this.tooltip}
            showButtons={true}
            tooltipChange={this.tooltipChangeHandler.bind(this) as any}
          />
        </div>
      </div>
    );
  }
}

colorRange ColorRangeDataModel[]

Specifies the color to the slider based on given value.

cssClass string

Specifies the custom classes to be added to the element used to customize the slider.

<style>
.sliderCss {
    border: 1px solid;
}
</style>
import * as React from 'react';
import { SliderComponent, ColorRangeDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
public colorRange: ColorRangeDataModel[] = [{color:"#898b2b", start:10, end:45}];
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30} cssClass={sliderCss} />
            </div>
        </div>
    );
  }
}

customValues string[]|number[]

Specifies an array of slider values in number or string type.
The min and max step values are not considered.

enableAnimation boolean

Enable or Disable the animation for slider movement.

enableHtmlSanitizer boolean

Specifies whether to display or remove the untrusted HTML values in the Slider component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

enabled boolean

Enable or Disable the slider.

limits LimitDataModel

Specified the limit within which the slider to be moved.
Refer the documentation here
to know more about this property.

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max number

Gets/Sets the maximum value of the slider.

min number

Gets/Sets the minimum value of the slider.

orientation SliderOrientation

Specifies whether to render the slider in vertical or horizontal orientation.
Refer the documentation here
to know more about this property.

readonly boolean

Specifies whether the render the slider in read-only mode to restrict any user interaction.
The slider rendered with user defined values and can’t be interacted with user actions.

showButtons boolean

Specifies whether to show or hide the increase/decrease buttons
of Slider to change the slider value.
Refer the documentation here
to know more about this property.

step number

Specifies the step value for each value change when the increase / decrease
button is clicked or on arrow keys press or on dragging the thumb.
Refer the documentation here
to know more about this property.

ticks TicksDataModel

It is used to render the slider ticks options such as placement and step values.
Refer the documentation here
to know more about this property with demo.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
public colorRange: ColorRangeDataModel[] = [{color:"#898b2b", start:10, end:45}];
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30} colorRange={this.colorRange} />
            </div>
        </div>
    );
  }
}

tooltip TooltipDataModel

Specifies the visibility, position of the tooltip over the slider element.

type SliderType

Defines the type of the Slider. The available options are:

  • default - Allows to a single value in the Slider.
  • minRange - Allows to select a single value in the Slider. It display’s a shadow from the start to the current value.
  • range - Allows to select a range of values in the Slider. It displays shadow in-between the selection range.
import * as React from "react";
import { SliderComponent, ColorRangeDataModel, TooltipDataModel } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
  public tooltip: TooltipDataModel = { placement: "After",
  isVisible: true,
  showOn: "Focus"};
  render() {
    return (
      <div id="container">
      <div className="wrap">
          <div className="sliderwrap">
              <div className="labeltext">Default</div>
              <SliderComponent id="default" value={30}/>
          </div>
          <div className="sliderwrap">
              <div className="labeltext">MinRange</div>
              <SliderComponent id="minrange" type="MinRange" value={30} />
          </div>
          <div className="sliderwrap">
              <div className="labeltext">Range</div>
              <SliderComponent id="range" type="Range" value={[30, 70]} />
          </div>
      </div>
      </div>
    );
  }
}

value number|number[]

It is used to denote the current value of the Slider.
The value should be specified in array of number when render Slider type as range.

width number|string

Specifies the width of the Slider.

/ Slider / SliderModel
Search results

SliderModel API in Vue Slider API component

Interface for a class Slider

Properties

change

EmitType<SliderChangeEventArgs>

We can trigger change event whenever Slider value is changed. In other term, this event will be triggered while drag the slider thumb.

<template>
    <div id="app">
       <ejs-slider
            id="dynamic_color_slider"
            min="0"
            max="100"
            value="30"
            type="MinRange"
            v-on:created= "onCreated"
            v-on:change= "onChange"
          ></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
      data: function() {
      return {
    
    };
  },
    methods: {
      onCreated() {
          let sliderTrack = document.getElementById("dynamic_color_slider").querySelector(".e-range");
          let sliderHandle = document.getElementById("dynamic_color_slider").querySelector(".e-handle");
          sliderHandle.style.backgroundColor = "green";
          sliderTrack.style.backgroundColor = "green";
        },
      onChange(args) {
          let sliderTrack = document.getElementById("dynamic_color_slider").querySelector(".e-range");
          let sliderHandle = document.getElementById("dynamic_color_slider").querySelector(".e-handle");
          if (args.value > 0 && args.value <= 25) {
          // Change handle and range bar color to green when
              sliderHandle.style.backgroundColor = "green";
              sliderTrack.style.backgroundColor = "green";
          } else if (args.value > 25 && args.value <= 50) {
          // Change handle and range bar color to royal blue
              sliderHandle.style.backgroundColor = "royalblue";
              sliderTrack.style.backgroundColor = "royalblue";
          } else if (args.value > 50 && args.value <= 75) {
          // Change handle and range bar color to dark orange
              sliderHandle.style.backgroundColor = "darkorange";
              sliderTrack.style.backgroundColor = "darkorange";
          } else if (args.value > 75 && args.value <= 100) {
          // Change handle and range bar color to red
              sliderHandle.style.backgroundColor = "red";
              sliderTrack.style.backgroundColor = "red";
          }
        }
      }
    };
</script>
<style>
   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

changed

EmitType<SliderChangeEventArgs>

Fires whenever the Slider value is changed. In other term, this event will be triggered, while drag the slider thumb completed.

created

EmitType<Object>

Triggers when the Slider is successfully created.

renderedTicks

EmitType<SliderTickRenderedEventArgs>

Triggers when the ticks are rendered on the Slider.

<template>
    <div id="app">
       <ejs-slider
              id="slider"
              min="0"
              max="100"
              value="30"
              type="MinRange"
              :ticks="rangeTicks"
              v-on:renderedTicks="onRangeTicks"
            ></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
    data: function() {
    return {
        ticks: { placement: "Before", largeStep: 20 },
        rangeTicks: { placement: "Both", largeStep: 20, smallStep: 5 }
    };
  },
    methods: {
        onRangeTicks(args) {
          let li = args.ticksWrapper.getElementsByClassName("e-large");
          let remarks = [
            "Very Poor",
            "Poor",
            "Average",
            "Good",
            "Very Good",
            "Excellent"
          ];
          for (let i = 0; i < li.length; ++i) {
            li[i].querySelectorAll(".e-tick-both")[1].innerText = remarks[i];
      }
    }
  }
};
</script>
<style>

   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

renderingTicks

EmitType<SliderTickEventArgs>

Triggers on rendering the ticks element in the Slider, which is used to customize the ticks labels dynamically.

<template>
    <div id="app">
       <ejs-slider
        id="ticks"
        :min="minVal"
        :max="maxVal"
        :value="value"
        :ticks="ticks"
        showButtons="true"
        :step="stepVal"
        v-on:renderingTicks="onRenderingTicks"
      ></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
    data: function() {
    return {
      tooltip: { placement: "Before", isVisible: true },
      minVal: new Date("2013-06-13").getTime(),
      maxVal: new Date("2013-06-21").getTime(),
      value: new Date("2013-06-15").getTime(),
      stepVal: 86400000,
      // Slider ticks customization
      ticks: { placement: "After", largeStep: 2 * 86400000 }
    };
  },
    methods: {
      onRenderingTicks(args) {
          let totalMiliSeconds = Number(args.value);
        // Convert the current milliseconds to the respective date in desired format
          let custom = { year: "numeric", month: "short", day: "numeric" };
          args.text = new Date(totalMiliSeconds).toLocaleDateString(
          "en-us",
          custom
        );
        }
      }
    };
</script>
<style>
   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

tooltipChange

EmitType<SliderTooltipEventArgs>

Triggers when the Sider tooltip value is changed.

<template>
    <div id="app">
       <ejs-slider
        id="ticks"
        :min="minVal"
        :max="maxVal"
        :value="value"
        :tooltip="tooltip"
        showButtons="true"
        :step="stepVal"
        v-on:tooltipChange="onTooltipChange"
      ></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
    data: function() {
    return {
        tooltip: { placement: "Before", isVisible: true },
        minVal: new Date("2013-06-13").getTime(),
        maxVal: new Date("2013-06-21").getTime(),
        value: new Date("2013-06-15").getTime(),
        stepVal: 86400000,
        // Slider ticks customization
        ticks: { placement: "After", largeStep: 2 * 86400000 }
    };
  },
    methods: {
        onTooltipChange(args) {
            let totalMiliSeconds = Number(args.text);
            // Convert the current milliseconds to the respective date in desired format
            let custom = { year: "numeric", month: "short", day: "numeric" };
            args.text = new Date(totalMiliSeconds).toLocaleDateString(
            "en-us",
            custom
          );
        },
      }
    };
</script>
<style>
   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

colorRange

ColorRangeDataModel[]

Specifies the color to the slider based on given value.

cssClass

string

Specifies the custom classes to be added to the element used to customize the slider.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :cssClass="cssClass"></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      cssClass: "slidernew"
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

customValues

string[] | number[]

Specifies an array of slider values in number or string type. The min and max step values are not considered.

enableAnimation

boolean

Enable or Disable the animation for slider movement.

enableHtmlSanitizer

boolean

Specifies whether to display or remove the untrusted HTML values in the Slider component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enabled

boolean

Enable or Disable the slider.

limits

LimitDataModel

Specified the limit within which the slider to be moved. Refer the documentation here to know more about this property.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max

number

Gets/Sets the maximum value of the slider.

min

number

Gets/Sets the minimum value of the slider.

orientation

SliderOrientation

Specifies whether to render the slider in vertical or horizontal orientation. Refer the documentation here to know more about this property.

readonly

boolean

Specifies whether the render the slider in read-only mode to restrict any user interaction. The slider rendered with user defined values and can’t be interacted with user actions.

showButtons

boolean

Specifies whether to show or hide the increase/decrease buttons of Slider to change the slider value. Refer the documentation here to know more about this property.

step

number

Specifies the step value for each value change when the increase / decrease button is clicked or on arrow keys press or on dragging the thumb. Refer the documentation here to know more about this property.

ticks

TicksDataModel

It is used to render the slider ticks options such as placement and step values. Refer the documentation here to know more about this property with demo.

<template>
    <div id="app">
    <ejs-slider id='default' :value='value' :ticks='ticks'></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      ticks: { placement: 'Before', largeStep: 20, smallStep: 10, showSmallTicks: true }
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

tooltip

TooltipDataModel

Specifies the visibility, position of the tooltip over the slider element.

type

SliderType

Defines the type of the Slider. The available options are:

  • default - Allows to a single value in the Slider.
  • minRange - Allows to select a single value in the Slider. It display’s a shadow from the start to the current value.
  • range - Allows to select a range of values in the Slider. It displays shadow in-between the selection range.
<template>
    <div id="app">
     <label class="labeltext">Default</label>
     <ejs-slider id="default" :value="minvalue"></ejs-slider>
      <label class="labeltext">MinRange</label>
      <ejs-slider id="default" :value="minvalue" :type="mintype"></ejs-slider>
     <label class="labeltext">Range</label>
    <ejs-slider id="type" :value="value" :type="type"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
       value: [30, 70],
       type: "Range",
       mintype: "MinRange",
       minvalue: 30
    };
  }
}
</script>
<style>

   #app {
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

value

number | number[]

It is used to denote the current value of the Slider. The value should be specified in array of number when render Slider type as range.

width

number | string

Specifies the width of the Slider.

Search results

SliderModel API in Angular Slider API component

Interface for a class Slider

Properties

change

EmitType<SliderChangeEventArgs>

We can trigger change event whenever Slider value is changed. In other term, this event will be triggered while drag the slider thumb.

 <ejs-slider id='default' [value]='value' [step]="step"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-slider id='ticks_slider'#slider [value]='value' [min]='min' [max]='max' [type]='type' [step]='step' [ticks]='ticks' (change)='change($event)' ></ejs-slider>
    </div>
    Change event:
    <div id="slider"> 
    </div>`,
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public min: number = 0;
    public max: number = 100;
    public step: number = 5;
    public type: string = 'MinRange';
    public ticks: Object = { placement: 'Before', largeStep: 20 };
    private change(args: ChangeEventArgs) {
    if(args.value) {
        document.getElementById("slider").innerHTML = JSON.stringify(args);
      }
    }
}

changed

EmitType<SliderChangeEventArgs>

Fires whenever the Slider value is changed. In other term, this event will be triggered, while drag the slider thumb completed.

created

EmitType<Object>

Triggers when the Slider is successfully created.

renderedTicks

EmitType<SliderTickRenderedEventArgs>

Triggers when the ticks are rendered on the Slider.

 <ejs-slider id="slider" [value]="value" [min]="min" [max]="max" [type]="type" [ticks]="slider_ticks" step = 20 (renderedTicks)="renderedTicks($event)"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public count: number = 1;
    public value: number = 40;
    public min: number = 0;
    public max: number = 100;
    public step: number = 5;
    public type: string = "MinRange";
    public ticks: Object = { placement: "Before", largeStep: 20 };
    public slider_ticks: Object = { placement: "Both", largeStep: 20, smallStep: 5 };
    private renderedTicks(args: SliderTickRenderedEventArgs) {
        let li: any = args.ticksWrapper.getElementsByClassName("e-large");
        let remarks: any = ["Very Poor", "Poor", "Average", "Good", "Very Good", "Excellent"];
        for (let i: number = 0; i < li.length; ++i) {
            (li[i].querySelectorAll(".e-tick-both")[1] as HTMLElement).innerText = remarks[i];
        }
    }
}

renderingTicks

EmitType<SliderTickEventArgs>

Triggers on rendering the ticks element in the Slider, which is used to customize the ticks labels dynamically.

 <ejs-slider id="slider" [min]="min" [max]="max" [value]="value" [ticks]="ticksData" [showButtons]=true [step]="step" (renderingTicks)="renderingTicksHandler($event)"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public tooltipData: Object = { placement: "Before", isVisible: true };
    public ticksData: Object = { placement: "After", largeStep: 2 * 3600000 };
    public min: number =new Date(2013, 6, 13, 11).getTime();
    public max: number = new Date(2013, 6, 13, 17).getTime();
    public step: number = 3600000;
    public value: number = new Date(2013, 6, 13, 13).getTime();
    renderingTicksHandler(args: SliderTickEventArgs): void {
        let totalMiliSeconds = Number(args.value);
        let custom = { hour: "2-digit", minute: "2-digit" };
        args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
    }
}

tooltipChange

EmitType<SliderTooltipEventArgs>

Triggers when the Sider tooltip value is changed.

 <ejs-slider id="slider" [min]="min" [max]="max" [value]="value" [tooltip]="tooltipData" [showButtons]=true [step]="step" (tooltipChange)="tooltipChangeHandler($event)"></ejs-slider>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})
export class AppComponent {
    public tooltipData: Object = { placement: "Before", isVisible: true };
    public min: number =new Date(2013, 6, 13, 11).getTime();
    public max: number = new Date(2013, 6, 13, 17).getTime();
    public step: number = 3600000;
    public value: number = new Date(2013, 6, 13, 13).getTime();
    tooltipChangeHandler(args: SliderTooltipEventArgs): void {
        let totalMiliSeconds = Number(args.text);
        let custom = { hour: "2-digit", minute: "2-digit" };
        args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
    }
}

colorRange

ColorRangeDataModel[]

Specifies the color to the slider based on given value.

cssClass

string

Specifies the custom classes to be added to the element used to customize the slider.

 <ejs-slider id='default' [value]='value' cssClass="slider"></ejs-slider>

 <style>
 .slider {
     border: 1px solid;
 }
 </style>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
}

customValues

string[] | number[]

Specifies an array of slider values in number or string type. The min and max step values are not considered.

enableAnimation

boolean

Enable or Disable the animation for slider movement.

enableHtmlSanitizer

boolean

Specifies whether to display or remove the untrusted HTML values in the Slider component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enabled

boolean

Enable or Disable the slider.

limits

LimitDataModel

Specified the limit within which the slider to be moved. Refer the documentation here to know more about this property.

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max

number

Gets/Sets the maximum value of the slider.

min

number

Gets/Sets the minimum value of the slider.

orientation

SliderOrientation

Specifies whether to render the slider in vertical or horizontal orientation. Refer the documentation here to know more about this property.

readonly

boolean

Specifies whether the render the slider in read-only mode to restrict any user interaction. The slider rendered with user defined values and can’t be interacted with user actions.

showButtons

boolean

Specifies whether to show or hide the increase/decrease buttons of Slider to change the slider value. Refer the documentation here to know more about this property.

step

number

Specifies the step value for each value change when the increase / decrease button is clicked or on arrow keys press or on dragging the thumb. Refer the documentation here to know more about this property.

ticks

TicksDataModel

It is used to render the slider ticks options such as placement and step values. Refer the documentation here to know more about this property with demo.

 <ejs-slider id='default' [value]='value' [ticks]="ticks"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public ticks: Object = {
        placement: 'Before',
        largeStep: 20,
        smallStep: 5,
        showSmallTicks: true
    };
}

tooltip

TooltipDataModel

Specifies the visibility, position of the tooltip over the slider element.

type

SliderType

Defines the type of the Slider. The available options are:

  • default - Allows to a single value in the Slider.
  • minRange - Allows to select a single value in the Slider. It display’s a shadow from the start to the current value.
  • range - Allows to select a range of values in the Slider. It displays shadow in-between the selection range.
    <div class="sliderwrap">
        <label class="labeltext">Default Slider</label>
        <ejs-slider id="default" [value]="value"></ejs-slider>
    </div>
    <div class="sliderwrap">
        <label class="labeltext">MinRange Slider</label>
        <ejs-slider id="minrange" [value]="value" [type]="mintype"></ejs-slider>
    </div>
    <div class="sliderwrap">
        <label class="labeltext">Range Slider</label>
        <ejs-slider id="range" [value]="rangevalue" [type]="rangetype"></ejs-slider>
    </div>
import { Component } from "@angular/core";

@Component({
    selector: "my-app",
    templateUrl: "app/template.html",
    styleUrls:["index.css"],
})

export class AppComponent {
    public value: number = 30;
    public rangevalue: Number[] = [30,70];
    public mintype: string = "MinRange";
    public rangetype: string = "Range";
}

value

number | number[]

It is used to denote the current value of the Slider. The value should be specified in array of number when render Slider type as range.

width

number | string

Specifies the width of the Slider.